#include "main.h"
#include "config.h"

gchar *version = "0.8";

gchar *message[] = {
"",
"Options:",
"-h          : Prints this spiffy text.",
"-v          : Prints out the version number.",
"",
"Specify Scouts by celestrial object.",
"Example: sailor mars",
"If no Scout is specified Sailor Moon will apear.",
"",
"Possible Sailor Scouts:",
"Sailor Moon, Sailor Venus, Sailor Mars, Sailor Jupiter, and Sailor Mercury.",
"Check http://home.rmci.net/fiachra for latest version and other Anime Programs.",
NULL };

gchar *ProgramName;

void close_application( GtkWidget *Window, GdkEvent *event, gpointer *data ) {
    gtk_main_quit();
}

void print_usage(){

    gchar **mptr;
    
    mptr = message;
    fprintf( stderr, "Usage: %s [<scout>]\n", ProgramName );
    while ( *mptr ){
      fprintf( stderr, "%s\n", *mptr );
      mptr++;
    }

    return;
}

void sort_arguments( int argc, char *argv[] )
{
  
  if (strncmp(argv[0], "-h", 2) == 0){
      print_usage();
      exit(0);
    }
  else if (strncmp(argv[0], "-v", 2) == 0){
      printf("%s: version %s\n", ProgramName, version);
      exit(0);
    }

  init_window();

  if (strcmp(argv[0], "mars") == 0 ||
	   strcmp(argv[0], "Mars") == 0) {
      init_mars_visuals();
      gtk_timeout_add( 1000, init_mars_movement, NULL );
      return;
    }
  else if (strcmp(argv[0], "jupiter") == 0 ||
	   strcmp(argv[0], "Jupiter") == 0) {
      init_jupiter_visuals();
      gtk_timeout_add( 1000, init_jupiter_movement, NULL );
      return;
    }
  else if (strcmp(argv[0], "venus") == 0 ||
	   strcmp(argv[0], "Venus") == 0) {
      init_venus_visuals();
      gtk_timeout_add( 1000, init_venus_movement, NULL );
      return;
    }
  else if (strcmp(argv[0], "mercury") == 0 ||
	   strcmp(argv[0], "Mercury") == 0) {
      init_mercury_visuals();
      gtk_timeout_add( 1000, init_mercury_movement, NULL );
      return;
    }
  else if (strcmp(argv[0], "moon") == 0 ||
	   strcmp(argv[0], "Moon") == 0) {
      init_moon_visuals();
      gtk_timeout_add( 1000, init_moon_movement, NULL );
  }
  else {
      print_usage();
      exit(0);
 }
}

/************************ MAIN *************************/

int main (int argc, char *argv[])
{
  gdk_init(&argc, &argv);

  ProgramName = argv[0];

  argc--;
  argv++;
 	
   if( argc == 1 )
 	sort_arguments( argc, argv );
   else {
        print_usage();
        exit(0);
   }

  display_stand();
  gtk_timeout_add( 100, window_raise, NULL );

  gtk_main ();
  return 0;
}
